Using Eclipse in Linux for Houdini 11

   3462   4   1
User Avatar
Member
22 posts
Joined: June 2008
Offline
Hello!

Trying to compile custom x64 plugin for Houdini 11 using Eclipse.
Same code for Houdini 10 was compiled just fine.

However, got some strange errors.
For example:
cast from ‘const void*’ to ‘uint’ loses precision
file $HFS/toolkit/include/SYS/SYS_Math.h in line 969

and
class ‘UT_OStrStream’ does not have any field named ‘ostrstream’
file $HFS/toolkit/include/UT/UT_NTStreamUtil.h line 58

The strangest thing for me is that this errors are not about my code but about code that comes with Houdini.

Anyone expeirenced something similar?
Should I do any additional steps to compile plugins for Houdini 11?

I'm using Eclipse Version: Helios Service Release 1
Build id: 20100917-0705

Linux Open Suse 2.6.34-12-desktop x86_64 GNU/Linux
gcc (SUSE Linux) 4.5.0 20100604
TD @ Mr.X Inc
User Avatar
Member
22 posts
Joined: June 2008
Offline
Just needed to add some additional #define statements to my project and it's ok.
TD @ Mr.X Inc
User Avatar
Member
5 posts
Joined: June 2011
Offline
Hi Sergey,

I am facing the same situation. Which #define statements did you add?
User Avatar
Member
22 posts
Joined: June 2008
Offline
Hi Ben,

Currently don't have Linux workstation around to check but as far as I remember it is vitally important to have correct gcc version.

Make sure you use same gcc version as your Houdini build on Linux.
Gcc 4.3 if I'm not mistaking.
TD @ Mr.X Inc
User Avatar
Member
16 posts
Joined: Feb. 2009
Offline
Hi,

I'm facing the same situation, my Houdini version is compiled with gcc4.4 and I made sure i'm compiling with gcc 4.4, but still the problem is there …

Any help would be really appreciated.

Cheers
  • Quick Links